%define upstream_name    utf8-all
%define upstream_version 0.017

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Turn on Unicode - all of it
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/D/DO/DOHERTY/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Dist::CheckConflicts)
BuildRequires: perl(Encode)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Import::Into)
BuildRequires: perl(Module::Build)
BuildRequires: perl(PerlIO)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(autodie)
BuildRequires: perl(charnames)
BuildRequires: perl(open)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
the utf8 manpage allows you to write your Perl encoded in UTF-8. That means
UTF-8 strings, variable names, and regular expressions. 'utf8::all' goes
further, and makes '@ARGV' encoded in UTF-8, and filehandles are opened
with UTF-8 encoding turned on by default (including STDIN, STDOUT, STDERR),
and charnames are imported so '\N{...}' sequences can be used to compile
Unicode characters based on names. If you _don't_ want UTF-8 for a
particular filehandle, you'll have to set 'binmode $filehandle'.

The pragma is lexically-scoped, so you can do the following if you had some
reason to:

    {
        use utf8::all;
        open my $out, '>', 'outfile';
        my $utf8_str = 'føø bār';
        print length $utf8_str, "\n"; # 7
        print $out $utf8_str;         # out as utf8
    }
    open my $in, '<', 'outfile';      # in as raw
    my $text = do { local $/; <$in>};
    print length $text, "\n";         # 10, not 7!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc META.json META.yml LICENSE Changes README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.17.0-3pclos2017
- rebuild against updates

